题库与练习/Bearer
Read question Part
Read one active question Part without answers, explanations, or listening transcript. The result includes the same stable contentRef used by other consumers.
Endpoint
POST
/api/v1/agent/capabilities/ielts_practice_read_part请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| maxChars | number | 否 | Maximum material characters to return. |
| partId | number | 是 | Practice part id returned by practice.search_parts. |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_practice_read_part' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"maxChars":12000,"partId":1}'请求结构
{
"type": "object",
"properties": {
"maxChars": {
"default": 12000,
"description": "Maximum material characters to return.",
"type": "integer",
"minimum": 1000,
"maximum": 30000
},
"partId": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991,
"description": "Practice part id returned by practice.search_parts."
}
},
"required": [
"maxChars",
"partId"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在